/*-------- Global ----------*/
* {
  margin:0;
  padding:0;
  border:0;
  outline:0;
  font-size:100%;
  vertical-align: baseline;
  background: transparent;
}

html {
  font-family: "Lexend", sans-serif;
  /* font-weight: 100; */
}

header {
  /* width: 95%; */
  position: relative;
  margin: 16px;
  padding: 16px;
  background: #ffffff;
  box-sizing: border-box;
  box-shadow: 0 0 0 rgba(0,0,0);
}
/* change margin and padding for nav bar */

body {
  width: 100%;
  margin: auto;
}

h1 {
  font-optical-sizing: auto;
  font-size: 32px;
  font-weight: 600;
  color: #17191A;
  font-style: normal;
}

h2 {
  font-size: 24px;
  font-weight: 600;
  color: #17191A;
}

h3 {
  font-size:20px;
  font-weight: 500;
  color: #17191A;
}

h4 {
  font-size: 16px;
    font-weight: 500;
  color: #17191A;
}

h5 {
  font-size: 10px;
  font-weight: 400;
  color: #17191A;
}

p {
  color: #5E5C5C;
  font-weight: 300;
  margin-top: 10px;
  font-size: 16px;
  line-height: 2;
}

a {
  text-decoration: none;
  color: #5A7C54;
}

a:hover {
  text-decoration: none;;
  color: #5A7C54;
}



/*-------- Nav ----------*/

nav{
  float: right;
}
.clearfix{
  clear: both;
}
nav.tiffanyWu{
  float: left;
}
nav ul{
  margin: 0;
  padding: 0;
  display: flex;
}
nav ul li{
  list-style: none;
  color: #bebebe;
}
nav ul li a {
  display: block;
  margin: 10px 0;
  padding: 10px 20px;
  text-decoration: none;
  color: #bebebe;
}
nav ul li a.active, nav ul li a:hover{
  color: #5A7C54;
  text-decoration: none;
}

.menu-toggle i{
  float: right;
  display: none;
}
.menu-toggle i:hover{
  color: #5A7C54;
}

@media screen and (max-width: 768px) {
  .menu-toggle {
    display: block;
    width: 40px;
    height: 40px;
    margin: 10px;
    float: right;
    cursor: pointer;
    text-align: center;
    font-size: 30px;
    color: black;
  }
  .menu-toggle i.fa.fa-bars{
    float: right;
    display: block;
  }
  .menu-toggle.active i.fa.fa-bars{
    display: none;
  }
  .menu-toggle.active i.fa.fa-times{
    float: right;
    display: block;
  }
  nav {
    display: none;
  }
  nav.active {
    display: block;
    width: 100%;
    height: 100%;
  }
  nav.active ul{
    display: block;
    text-align: center;
  }
  header {
    width: 90%;
  }
}

.tiffanyWu {
  position: relative;
  float: left;
  box-sizing: border-box;
  flex:1;
}

.tiffanyWu a {
  display: block;
  /* margin: 10px 0; */
  padding: 10px 20px;
  text-decoration: none;
}

/* .tiffanyWu a.active, a:hover {
  color: #5A7C54;
} */

/* .tiffanyWu img {
  display: inline-block;
  width: 70px;
}

.tiffanyWu:hover img{
  opacity: 0.1;
} */

.overlay{
   position: absolute;
   top: 0;
   bottom: 0;
   left: 0;
   right: 0;
   height: 100%;
   width: 100%;
   opacity: 0;
   transition: .5s ease;
}

.overlay img{
  width:80px;
  opacity: 0;
}

.tiffanyWu:hover .overlay{
  opacity: 1;
}

.overlay img:hover{
  opacity: 1;
}

/*-------- Intro ----------*/
.introcont {
  width: 50%;
  align-items: left;
  margin: 72px auto 100px auto;
}

.intro {
  text-align: left;
}

.intro p{
  text-align: left;
  width: 65%;
  /* margin: 30px auto 0 auto; */
  line-height: 2;
}


/*-------- Tiles----------*/
  .projects {
    width: 50%;
    margin: auto;
  }

  .spacer {
    height: 30px;/* Adjust value as needed */
  }

  .smallspacer {
    height: 10px;/* Adjust value as needed */
  }

	.tiles {
		/* display: -moz-flex;
		display: -webkit-flex;
		display: -ms-flex;
		display: flex; */
		-moz-flex-wrap: wrap;
		-webkit-flex-wrap: wrap;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
		position: relative;
		margin: -2.5em 0 0 -2.5em;
	}

		.tiles article {
			-moz-transition: -moz-transform 0.5s ease, opacity 0.5s ease;
			-webkit-transition: -webkit-transform 0.5s ease, opacity 0.5s ease;
			-ms-transition: -ms-transform 0.5s ease, opacity 0.5s ease;
			transition: transform 0.5s ease, opacity 0.5s ease;
			position: relative;

			/* width: calc(100% - 2.5em); */
			margin: 2.5em 0 0 2.5em;
		}
    /* //change to 100 for only one project on row */

			.tiles article > .image {
				-moz-transition: -moz-transform 0.5s ease;
				-webkit-transition: -webkit-transform 0.5s ease;
				-ms-transition: -ms-transform 0.5s ease;
				transition: transform 0.5s ease;
				position: relative;
				display: block;
				width: 100%;
				border-radius: 4px;
				overflow: hidden;
			}

				.tiles article > .image img {
					display: block;
					width: 100%;
				}

				.tiles article > .image:before {
					pointer-events: none;
					-moz-transition: background-color 0.5s ease, opacity 0.5s ease;
					-webkit-transition: background-color 0.5s ease, opacity 0.5s ease;
					-ms-transition: background-color 0.5s ease, opacity 0.5s ease;
					transition: background-color 0.5s ease, opacity 0.5s ease;
					content: '';
					display: block;
					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					height: 100%;
					opacity: 1.0;
					z-index: 1;
					opacity: 1.0;
				}

				.tiles article > .image:after {
					pointer-events: none;
					-moz-transition: opacity 0.5s ease;
					-webkit-transition: opacity 0.5s ease;
					-ms-transition: opacity 0.5s ease;
					transition: opacity 0.5s ease;
					content: '';
					display: block;
					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					height: 100%;
					background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' viewBox='0 0 100 100' preserveAspectRatio='none'%3E%3Cstyle%3Eline %7B stroke-width: 0.25px%3B stroke: %23ffffff%3B %7D%3C/style%3E%3Cline x1='0' y1='0' x2='100' y2='100' /%3E%3Cline x1='100' y1='0' x2='0' y2='100' /%3E%3C/svg%3E");
					background-position: center;
					background-repeat: no-repeat;
					background-size: 100% 100%;
					opacity: 0;
					z-index: 2;
				}

			.tiles article > a {
				display: -moz-flex;
				display: -webkit-flex;
				display: -ms-flex;
				display: flex;
				-moz-flex-direction: column;
				-webkit-flex-direction: column;
				-ms-flex-direction: column;
				flex-direction: column;
				-moz-align-items: center;
				-webkit-align-items: center;
				-ms-align-items: center;
				align-items: center;
				-moz-justify-content: center;
				-webkit-justify-content: center;
				-ms-justify-content: center;
				justify-content: center;
				-moz-transition: background-color 0.5s ease, -moz-transform 0.5s ease;
				-webkit-transition: background-color 0.5s ease, -webkit-transform 0.5s ease;
				-ms-transition: background-color 0.5s ease, -ms-transform 0.5s ease;
				transition: background-color 0.5s ease, transform 0.5s ease;
				position: absolute;
				top: 0;
				left: 0;
				width: 100%;
				height: 100%;
				padding: 1em;
				border-radius: 4px;
				border-bottom: 0;
				color: #ffffff;
				text-align: center;
				text-decoration: none;
				z-index: 3;
				opacity:0;
			}

				.tiles article > a > :last-child {
					margin: 0;
				}

				.tiles article > a:hover {
					color: #000000 !important;
					opacity: 1.0;
				}

				.tiles article > a h2 {
					margin: 0;
          color: #ffffff;
				}

        .content p{
          color: #ffffff;
        }

				.tiles article > a .content {
					-moz-transition: max-height 0.5s ease, opacity 0.5s ease;
					-webkit-transition: max-height 0.5s ease, opacity 0.5s ease;
					-ms-transition: max-height 0.5s ease, opacity 0.5s ease;
					transition: max-height 0.5s ease, opacity 0.5s ease;
					width: 100%;
					max-height: 0;
					line-height: 1.5;
					margin-top: 0.35em;
					opacity: 0;
				}

					.tiles article > a .content > :last-child {
						margin-bottom: 0;
					}

			/* .tiles article.style1 > .image:before {
				background-color: #f2849e;
				opacity: 0;
			}

			.tiles article.style2 > .image:before {
				background-color: #EACF7F;
				opacity: 0;
			}

			.tiles article.style3 > .image:before {
				background-color: #7bd0c1;
				opacity: 0;
			}

			.tiles article.style4 > .image:before {
				background-color:  #65A972;
				opacity: 0;
			}

			.tiles article.style5 > .image:before {
				background-color: #ae85ca;
			}

			.tiles article.style6 > .image:before {
				background-color: #8499e7;
			} */

			body:not(.is-touch) .tiles article:hover > .image {
				-moz-transform: scale(1.02);
				-webkit-transform: scale(1.02);
				-ms-transform: scale(1.02);
				transform: scale(1.02);
			}
       /* hover effect how much bigger to transform */

				body:not(.is-touch) .tiles article:hover > .image:before {
					/* background-color: #ffffff;
					opacity: 0.3; */
				}
        /* hover effect shade coler and opacity */

				body:not(.is-touch) .tiles article:hover > .image:after {
					opacity: 0;
				}

			body:not(.is-touch) .tiles article:hover .content {
				max-height: 15em;
				opacity: 1;
			}

		* + .tiles {
			margin-top: 2em;
		}

		body.is-preload .tiles article {
			-moz-transform: scale(0.9);
			-webkit-transform: scale(0.9);
			-ms-transform: scale(0.9);
			transform: scale(0.9);
			opacity: 0;
		}

		body.is-touch .tiles article .content {
			max-height: 15em;
			opacity: 1;
		}

		@media screen and (max-width: 1280px) {

			.tiles {
				margin: -1.25em 0 0 -1.25em;
			}

				.tiles article {
					width: calc(100% - 1.25em);
					margin: 1.25em 0 0 1.25em;
				}

		}

		@media screen and (max-width: 980px) {

			.tiles {
				margin: -2.5em 0 0 -2.5em;
			}

				.tiles article {
					width: calc(100% - 2.5em);
					margin: 2.5em 0 0 2.5em;
				}

		}

		@media screen and (max-width: 736px) {

			.tiles {
				margin: -1.25em 0 0 -1.25em;
			}

				.tiles article {
					width: calc(100% - 1.25em);
					margin: 1.25em 0 0 1.25em;
				}

					.tiles article:hover > .image {
						-moz-transform: scale(1.0);
						-webkit-transform: scale(1.0);
						-ms-transform: scale(1.0);
						transform: scale(1.0);
					}

		}

		@media screen and (max-width: 480px) {

			.tiles {
				margin: 0;
			}

				.tiles article {
					width: 100%;
					margin: 1.25em 0 0 0;
				}

		}



@media screen and (max-width: 991px){
  .intro p{
    width: 100%;
  }
}


@media screen and (max-width: 768px){
/* .intro {
    width: 96%;
    margin: 30px auto 100px auto;
  }
  .tiles article{
    margin: 2%;
    width: 96%;
  } */
  .introcont {
    width: 90%;
  }
  .projects {
    width: 90%;
  }
}



/*-------- Arrow ----------*/
.arrow{
  text-align: right;
}


/*-------- Footer ----------*/
footer{
  margin: 100px 0;
  text-align: center;
}

footer p{
 margin-bottom: 20px;
}

.footerIcons i{
  margin-left: 15px;
  margin-right: 15px;
  color:grey;
}

.footerIcons i:hover{
  color: #5A7C54;
}
